Fix the recursive dependency on zlib when asterisk-1.4 and asterisk-mysql-1.4 are...
authorFlorian Fainelli <florian@openwrt.org>
Fri, 7 Sep 2007 13:18:57 +0000 (13:18 +0000)
committerFlorian Fainelli <florian@openwrt.org>
Fri, 7 Sep 2007 13:18:57 +0000 (13:18 +0000)
SVN-Revision: 8667

net/asterisk-1.4.x/Makefile

index 6fdd5c4..33b49d1 100644 (file)
@@ -38,7 +38,10 @@ endef
 define Package/asterisk14
 $(call Package/asterisk14/Default)
   TITLE:=Complete open source PBX
-  DEPENDS:= +libltdl +libncurses +libpopt +libpthread +zlib
+  DEPENDS:= +libltdl +libncurses +libpopt +libpthread
+ifeq ($(SDK)$(CONFIG_PACKAGE_asterisk14-mysql),)
+  DEPENDS+= +zlib
+endif
 endef
 
 define Package/asterisk14/description